Quantcast

Unfiltered Scalate 2.9.0-1_0.3.4 missing in repos?

classic Classic list List threaded Threaded
13 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Unfiltered Scalate 2.9.0-1_0.3.4 missing in repos?

Mononofu
I just wanted to try this templating engine out, when I saw that it's not in the repos. Any reason for this?

According to http://groups.google.com/group/scalate/browse_thread/thread/c6e8c1e035e27381# it seems to build (if I understand that thread correctly)
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Unfiltered Scalate 2.9.0-1_0.3.4 missing in repos?

chris_lewis
Yeah, seems like a timing oversight. I don't know when exactly scalate became compatible with 2.9, but according to that post it appears it was compatible about a month before unfiltered 0.3.4 was released (oops). You'll find unfiltered-scalate for 2.9 available in master, so you can publish it locally.

-chris

On 7/12/11 5:51 AM, Mononofu [via Databinder] wrote:
I just wanted to try this templating engine out, when I saw that it's not in the repos. Any reason for this?

According to http://groups.google.com/group/scalate/browse_thread/thread/c6e8c1e035e27381# it seems to build (if I understand that thread correctly)


If you reply to this email, your message will be added to the discussion below:
http://databinder.3617998.n2.nabble.com/Unfiltered-Scalate-2-9-0-1-0-3-4-missing-in-repos-tp6574412p6574412.html
To start a new topic under Unfiltered, email [hidden email]
To unsubscribe from Unfiltered, click here.

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Unfiltered Scalate 2.9.0-1_0.3.4 missing in repos?

Mononofu
This post was updated on .
I'm quite new to Scala and Java in general, so excuse my question:

If I pull the master from github and then compile it myself, I should end up with the necessary .jar files. How can I incorporate those into my sbt config?

Edit: Ok, I managed to compile and package it. How can I tell sbt to use my self-compiled libs?
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Unfiltered Scalate 2.9.0-1_0.3.4 missing in repos?

chris_lewis
No worries. Assuming you have git and sbt (0.7) installed, first clone the repo:

git clone https://github.com/n8han/Unfiltered.git && cd Unfiltered

Now compile + install artifacts into your local sbt (ivy) repository with sbt. To install only the 2.9.0-1 artifacts:

sbt "set build.scala.versions 2.9.0-1" publish-local

You should be good at this point, but as you're getting to know sbt, it's worth noting that unfiltered is cross-compiled (http://code.google.com/p/simple-build-tool/wiki/CrossBuild), so you can either install artifacts for all supported scala versions or just the one you want. Installing for all versions takes a while and is done like so:

sbt +publish-local

It's worth getting more acquainted with sbt as it's almost ubiquitous in scala projects.

-chris

On 7/12/11 6:10 AM, Mononofu [via Databinder] wrote:
I'm quite new to Scala and Java in general, so excuse my question:

If I pull the master from github and then compile it myself, I should end up with the necessary .jar files. How can I incorporate those into my sbt config?


If you reply to this email, your message will be added to the discussion below:
http://databinder.3617998.n2.nabble.com/Unfiltered-Scalate-2-9-0-1-0-3-4-missing-in-repos-tp6574412p6574456.html
To start a new topic under Unfiltered, email [hidden email]
To unsubscribe from Unfiltered, click here.

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Unfiltered Scalate 2.9.0-1_0.3.4 missing in repos?

Mononofu
Thanks for the quick reply, everything worked perfectly :)

Just had to change the lib versions to "0.4.0-SNAPSHOT"
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Unfiltered Scalate 2.9.0-1_0.3.4 missing in repos?

Mononofu
It now seems like scalate is not working because of an issue with scala versions.  When I built unfiltered myself, did this also build scalate? Or was it just fetched from their servers?
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Unfiltered Scalate 2.9.0-1_0.3.4 missing in repos?

n8han
Administrator
In reply to this post by chris_lewis
On 07/12/2011 06:06 AM, chris_lewis [via Databinder] wrote:
Yeah, seems like a timing oversight. I don't know when exactly scalate became compatible with 2.9, but according to that post it appears it was compatible about a month before unfiltered 0.3.4 was released (oops).

Sure, the only way we can keep up with dependencies in the outer modules (especially those that aren't aggressively cross-published) is for people that use them to update the build (push if you can, pull request if you can't) when new versions come out.

I'm going to try to do a new uf release "today" but we'll see if that happens.

Nathan
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Unfiltered Scalate 2.9.0-1_0.3.4 missing in repos?

chris_lewis
In reply to this post by Mononofu
Could you elaborate? I don't use scalate w/ 2.9 but it very well could be that scalate 1.4 (used by unfiltered-scalate) isn't compatible w/ 2.9. I'll look into this tonight.

Sent from my Verizon Wireless Phone

----- Reply message -----
From: "Mononofu [via Databinder]" <[hidden email]>
Date: Tue, Jul 12, 2011 12:38
Subject: Unfiltered Scalate 2.9.0-1_0.3.4 missing in repos?
To: "chris_lewis" <[hidden email]>



It now seems like scalate is not working because of an issue with scala
versions.  When I built unfiltered myself, did this also build scalate? Or
was it just fetched from their servers?

_______________________________________________
If you reply to this email, your message will be added to the discussion below:
http://databinder.3617998.n2.nabble.com/Unfiltered-Scalate-2-9-0-1-0-3-4-missing-in-repos-tp6574412p6575819.html
To start a new topic under Unfiltered, email [hidden email]
To unsubscribe from Unfiltered, visit
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Unfiltered Scalate 2.9.0-1_0.3.4 missing in repos?

Mononofu
The exception it throws: http://pastebin.com/5BSxVBpA
My code: https://github.com/Mononofu/GalaxyWar
The part where I call scalate is here: https://github.com/Mononofu/GalaxyWar/blob/master/src/main/scala/main.scala
lines 100 to 115, the code responsible for the exception is 107

Right now, I'm building scalate myself to see if I can get it to work.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Unfiltered Scalate 2.9.0-1_0.3.4 missing in repos?

Mononofu
Ok, now I've rebuilt scalate with Scala 2.9.0-1, it still crashes. ;(
Exact same error as before.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Unfiltered Scalate 2.9.0-1_0.3.4 missing in repos?

chris_lewis
The unit tests are failing with the same error, so it's most likely a scalate/scala version incompat. I'll take a look at upgrading to 1.5x this evening.

-chris

On 7/12/11 1:42 PM, Mononofu [via Databinder] wrote:
Ok, now I've rebuilt scalate with Scala 2.9.0-1, it still crashes. ;(
Exact same error as before.


If you reply to this email, your message will be added to the discussion below:
http://databinder.3617998.n2.nabble.com/Unfiltered-Scalate-2-9-0-1-0-3-4-missing-in-repos-tp6574412p6576092.html
To start a new topic under Unfiltered, email [hidden email]
To unsubscribe from Unfiltered, click here.

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Unfiltered Scalate 2.9.0-1_0.3.4 missing in repos?

Dustin Whitney
I already went down this road.  Scalate isn't cross publishing their builds.  I upgraded their build to sbt10 and made it cross build, but their sbt build is just for show, they really use maven, and they weren't very interested in using the stuff I did.  I think it would probably be best to upgrade uf-scalate module to be 2.9.0 only.

D

On Tue, Jul 12, 2011 at 7:47 PM, chris_lewis [via Databinder] <[hidden email]> wrote:
The unit tests are failing with the same error, so it's most likely a scalate/scala version incompat. I'll take a look at upgrading to 1.5x this evening.

-chris


On 7/12/11 1:42 PM, Mononofu [via Databinder] wrote:
Ok, now I've rebuilt scalate with Scala 2.9.0-1, it still crashes. ;(
Exact same error as before.


If you reply to this email, your message will be added to the discussion below:
http://databinder.3617998.n2.nabble.com/Unfiltered-Scalate-2-9-0-1-0-3-4-missing-in-repos-tp6574412p6576092.html
To start a new topic under Unfiltered, email [hidden email]
To unsubscribe from Unfiltered, click here.




If you reply to this email, your message will be added to the discussion below:
http://databinder.3617998.n2.nabble.com/Unfiltered-Scalate-2-9-0-1-0-3-4-missing-in-repos-tp6574412p6576115.html
To start a new topic under Unfiltered, email [hidden email]
To unsubscribe from Unfiltered, click here.

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Unfiltered Scalate 2.9.0-1_0.3.4 missing in repos?

chris_lewis
Yeah, Nathan just clued me in on that. Pardon the confusion, I'll see if one more person bugging them will encourage them to move any quicker. Thanks!

-chris

On 7/12/11 2:40 PM, Dustin Whitney [via Databinder] wrote:
I already went down this road.  Scalate isn't cross publishing their builds.  I upgraded their build to sbt10 and made it cross build, but their sbt build is just for show, they really use maven, and they weren't very interested in using the stuff I did.  I think it would probably be best to upgrade uf-scalate module to be 2.9.0 only.

D

On Tue, Jul 12, 2011 at 7:47 PM, chris_lewis [via Databinder] <[hidden email]> wrote:
The unit tests are failing with the same error, so it's most likely a scalate/scala version incompat. I'll take a look at upgrading to 1.5x this evening.

-chris


On 7/12/11 1:42 PM, Mononofu [via Databinder] wrote:
Ok, now I've rebuilt scalate with Scala 2.9.0-1, it still crashes. ;(
Exact same error as before.


If you reply to this email, your message will be added to the discussion below:
http://databinder.3617998.n2.nabble.com/Unfiltered-Scalate-2-9-0-1-0-3-4-missing-in-repos-tp6574412p6576092.html
To start a new topic under Unfiltered, email [hidden email]
To unsubscribe from Unfiltered, click here.




If you reply to this email, your message will be added to the discussion below:
http://databinder.3617998.n2.nabble.com/Unfiltered-Scalate-2-9-0-1-0-3-4-missing-in-repos-tp6574412p6576115.html
To start a new topic under Unfiltered, email [hidden email]
To unsubscribe from Unfiltered, click here.




If you reply to this email, your message will be added to the discussion below:
http://databinder.3617998.n2.nabble.com/Unfiltered-Scalate-2-9-0-1-0-3-4-missing-in-repos-tp6574412p6576293.html
To start a new topic under Unfiltered, email [hidden email]
To unsubscribe from Unfiltered, click here.

Loading...